QB_RB_CHUNK_READ(3)

NAME
qb_rb_chunk_read - Read the oldest chunk into data_out.

SYNOPSIS
#include <qb/qbrb.h>

ssize_t qb_rb_chunk_read(
    qb_ringbuffer_t   *rb,          /* ringbuffer instance */
    void              *data_out,    /* (in/out) the chunk will be memcpy'ed into this. */
    size_t             len,         /* (in) the size of data_out. */
    int32_t            ms_timeout   /* the amount od time to wait for new data. */
);

PARAMS
rb ringbuffer instance

data_out (in/out) the chunk will be memcpy'ed into this.

len (in) the size of data_out.

ms_timeout the amount od time to wait for new data.

DESCRIPTION

This is the same as qb_rb_chunk_peek() memcpy() and qb_rb_chunk_reclaim().

RETURN VALUE

the size of the chunk, or error.

SEE ALSO

qb_rb_close(3), qb_rb_refcount_get(3), qb_rb_chmod(3), qb_rb_chown(3), qb_rb_open(3), qb_rb_write_to_file(3), qb_rb_create_from_file(3), qb_rb_chunks_used(3), qb_rb_chunk_reclaim(3), qb_rb_space_used(3), qb_rb_chunk_write(3), qb_rb_shared_user_data_get(3), qb_rb_chunk_commit(3), qb_rb_chunk_peek(3), qb_rb_space_free(3), qb_rb_name_get(3), qb_rb_chunk_alloc(3),

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.